import { Component } from "@angular/core";
import { FormBuilder, FormGroup, Validators } from "@angular/forms";
import { NgbActiveModal } from "@ng-bootstrap/ng-bootstrap";
import { BuildingService } from "../../service/monitoring-api.service";

@Component({
  selector: "app-control-scheduler",
  templateUrl: "./control-scheduler.component.html",
  styleUrls: ["./control-scheduler.component.css"],
})
export class ControlSchedulerComponent {
  labelModal: string = "";
  myForm: FormGroup;
  dataMasterStatus: any;

  constructor(
    public activeModal: NgbActiveModal,
    private monitoringApiService: BuildingService,
    private fb: FormBuilder,
  ) {}

  ngOnInit() {

    this.dataListMaster();
    this.createForm()
  }

  addRow() {}

  createForm() {
    this.myForm = this.fb.group({
      timeOn: ["", Validators.required],
      status: ["", Validators.required],
      timeOff: ["", Validators.required],
    });
  }

  dataListMaster() {
    this.monitoringApiService.getMasterListData().subscribe((data) => {
      const dataCategory = data.data.find(
        (item) => item.name === "master_status"
      ).headerDetailParam;
      this.dataMasterStatus = dataCategory.filter(
        (item) => item.statusName.toLowerCase() === "aktif"
      );
      console.log(this.dataMasterStatus);
      
    });
  }
}
